@import "@/styles/variables";

.description {
    @include paragraph-lg;
}

.p {
    @include paragraph;
}

.organizations-container {
    grid-column: 1 / -1;
    display: grid;
    row-gap: 2rem;
    grid-template-areas: "resultline resultline" "organizations organizations" "navigation navigation";

    @include notebook {
        grid-column: 2 / 12;
        column-gap: 1rem;
        grid-template-areas:
            "resultline resultline resultline resultline"
            "organizations organizations organizations organizations"
            "navigation navigation navigation navigation";
    }

    .navigation {
        @include col;

        grid-area: navigation;
        align-items: center;
        gap: 2rem;
        width: unset;
    }
}

.organization-list {
    grid-column: 1 / -1;
    grid-area: organizations;
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;

    @include tablet {
        grid-template-columns: repeat(2, 1fr);
    }

    @include smallscreen {
        grid-template-columns: repeat(3, 1fr);
    }

    @include desktop {
        grid-template-columns: repeat(5, 1fr);
    }
}

.top-container {
    grid-column: 1 / -1;
    display: grid;
    gap: 1rem;

    @include notebook {
        grid-column: 2 / 12;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .add-organization {
        height: 2.5rem;
        width: 100%;

        @include notebook {
            height: 3.5rem;
            width: fit-content;
        }
    }
}